Debian 9990 Published by

A node-tough-cookie security update has been released for Debian GNU/Linux 10 LTS to address a Prototype Pollution vulnerability.



[SECURITY] [DLA 3488-1] node-tough-cookie security update


-------------------------------------------------------------------------
Debian LTS Advisory DLA-3488-1 debian-lts@lists.debian.org
https://www.debian.org/lts/security/ Guilhem Moulin
July 10, 2023 https://wiki.debian.org/LTS
-------------------------------------------------------------------------

Package : node-tough-cookie
Version : 2.3.4+dfsg-1+deb10u1
CVE ID : CVE-2023-26136

Kokorin Vsevolod discovered a Prototype Pollution vulnerability in
node-tough-cookie, a RFC6265 Cookies and Cookie Jar library for node.js.
The issue is due to improper handling of Cookies when using CookieJar in
rejectPublicSuffixes=false mode.

For Debian 10 buster, this problem has been fixed in version
2.3.4+dfsg-1+deb10u1.

We recommend that you upgrade your node-tough-cookie packages.

For the detailed security status of node-tough-cookie please refer to
its security tracker page at:
https://security-tracker.debian.org/tracker/node-tough-cookie

Further information about Debian LTS security advisories, how to apply
these updates to your system and frequently asked questions can be
found at: https://wiki.debian.org/LTS